
Redmine - Defect #19306

/projects/<project_name>/settings 500 error

2015-03-08 22:34 - Dennison Williams

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.2

Description

After creating a new project I get a 500 error from the server and the following in the logs.  It looks like an issue with one of the views

templates.

> /var/www/redmine-2.6.2/log/production.log <

Started GET "/projects/lllll/settings" for x.x.x.x at 2015-03-08 14:19:07 -0700

Processing by ProjectsController#settings as HTML

Parameters: {"id"=>"lllll"}

Current user: dennison (id=9)

Rendered projects/_form.html.erb (6.2ms)

Rendered projects/_edit.html.erb (7.2ms)

Rendered projects/settings/_modules.html.erb (3.1ms)

Rendered projects/settings/_members.html.erb (3.3ms)

Rendered projects/settings/_versions.html.erb (2.2ms)

Rendered common/_tabs.html.erb (19.9ms)

Rendered projects/settings.html.erb within layouts/base (20.4ms)

Completed 500 Internal Server Error in 30.6ms   

ActionView::Template::Error (undefined method `name' for nil:NilClass):

33: <% end >

34:

35: <div class="contextual">

36: < if @project.versions.any? >

37:   <= link_to l(:label_close_versions), close_completed_project_versions_path(Herve Harster), :method => :put >

38: < end %>

39: </div>

app/views/projects/settings/_versions.html.erb:36:in

`_app_views_projects_settings__versions_html_erb__311009748738076346_69887411348300'

app/views/common/_tabs.html.erb:22:in `block in app_views_common_tabs_html_erb__4089866894346492044_51108000'

app/views/common/_tabs.html.erb:21:in `each'

app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb__4089866894346492044_51108000'

app/helpers/application_helper.rb:328:in `render_tabs'

app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb___367270079507833539_50112880'

History

#1 - 2015-03-09 01:05 - Go MAEDA

Could you show your environment information(Redmine version, Redmine version and so on)?

You can get it on Administration > Information page.

#2 - 2015-03-09 04:42 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2015-03-10 00:18 - Dennison Williams

Environment:

Redmine version                2.4.7.stable

Ruby version                   2.2.0-p0 (2014-12-25) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:
Subversion                     1.6.17

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_agile                  1.3.8

redmine_contacts               3.4.4

redmine_dashboard              3.0.0.dev0

Thanks for the help!

#4 - 2015-03-10 00:51 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

The cause of this error is version of Ruby. Redmine 2.4.7 does not support 2.2. It can be run on  Ruby 1.8.7, 1.9.2, 1.9.3 or 2.0.0.

If you want to stay Redmine 2.4, use Ruby 2.0. But Redmine 2.4 is too old so it is no longer supported.

Consider upgrading to Redmine 3.0 if possible. It supports Ruby 2.2.

#5 - 2015-03-10 02:05 - Go MAEDA

- Category changed from Projects to Ruby support

#6 - 2015-03-27 22:59 - mathieu le marec pasquet

i reproduce this with a recent redmine install

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   1.9.3-p547 (2014-05-14) [x86_64-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  redmine_ckeditor               1.1.0

  redmine_default_assign         0.4

  redmine_digest                 0.2.0

  redmine_dmsf                   1.5.1 devel

  redmine_importer               1.2.2

  redmine_ldap_sync              2.0.4.gf3101de951

  redmine_lightbox               0.0.1

  redmine_monitoring_controlling 0.1.1

  scrum2b                        2.0

#7 - 2015-03-27 23:21 - mathieu le marec pasquet

i'm on my way to spawn a ruby212 to test on.

#8 - 2015-03-27 23:34 - mathieu le marec pasquet

always the problem on ruby 2.1.2

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   2.1.2-p95 (2014-05-08) [x86_64-linux]

#9 - 2015-03-28 00:27 - mathieu le marec pasquet

uhm, with latest dmsf, its ok :)
